MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
dcesrv_exchange_ds_rfr.c File Reference

OpenChange RFR Server implementation. More...

`#include "mapiproxy/dcesrv_mapiproxy.h"`
`#include "dcesrv_exchange_ds_rfr.h"`

## Functions
static NTSTATUS | dcesrv_exchange_ds_rfr_dispatch (struct dcesrv_call_state *dce_call, TALLOC_CTX *mem_ctx, void *r, struct mapiproxy *mapiproxy)
static NTSTATUS | dcesrv_exchange_ds_rfr_init (struct dcesrv_context *dce_ctx)
static NTSTATUS | dcesrv_exchange_ds_rfr_unbind (struct server_id server_id, uint32_t context_id)
static enum MAPISTATUS | dcesrv_RfrGetFQDNFromLegacyDN (struct dcesrv_call_state *dce_call, TALLOC_CTX *mem_ctx, struct RfrGetFQDNFromLegacyDN *r)
static enum MAPISTATUS | dcesrv_RfrGetNewDSA (struct dcesrv_call_state *dce_call, TALLOC_CTX *mem_ctx, struct RfrGetNewDSA *r)
NTSTATUS | samba_init_module (void)

## Detailed Description

OpenChange RFR Server implementation.

## Function Documentation

static NTSTATUS dcesrv_exchange_ds_rfr_dispatch | ( | struct dcesrv_call_state * | dce_call,
|  | TALLOC_CTX * | mem_ctx,
|  | void * | r,
|  | struct mapiproxy * | mapiproxy
| ) |  |
| static

Dispatch incoming RFR call to the correct OpenChange server function

Parameters

  dce_call | pointer to the session context
  mem_ctx | pointer to the memory context
  r | generic pointer on RFR data
  mapiproxy | pointer to the mapiproxy structure controlling mapiproxy behavior

Returns
  NT_STATUS_OK

References dcesrv_RfrGetFQDNFromLegacyDN(), and dcesrv_RfrGetNewDSA().

Referenced by samba_init_module().

static NTSTATUS dcesrv_exchange_ds_rfr_init | ( | struct dcesrv_context * | dce_ctx | ) |
| static

Initialize the RFR OpenChange server

Parameters

  dce_ctx | pointer to the server context

Returns
  NT_STATUS_OK on success

Referenced by samba_init_module().

static NTSTATUS dcesrv_exchange_ds_rfr_unbind | ( | struct server_id | server_id,
|  | uint32_t | context_id
| ) |  |
| static

Terminate the RFR connection

Parameters

  server_id | reference to the server identifier structure
  context_id | the connection context identifier

Returns
  NT_STATUS_OK on success

Referenced by samba_init_module().

static enum MAPISTATUS dcesrv_RfrGetFQDNFromLegacyDN | ( | struct dcesrv_call_state * | dce_call,
|  | TALLOC_CTX * | mem_ctx,
|  | struct RfrGetFQDNFromLegacyDN * | r
| ) |  |
| static

exchange_ds_rrf RfrGetFQDNFromLegacyDN (0x1) function

Parameters

  dce_call | pointer to the session context
  mem_ctx | pointer to the memory context
  r | pointer to the RfrGetFQDNFromLegacyDN request data

Returns
  MAPI_E_SUCCESS on success

Referenced by dcesrv_exchange_ds_rfr_dispatch().

static enum MAPISTATUS dcesrv_RfrGetNewDSA | ( | struct dcesrv_call_state * | dce_call,
|  | TALLOC_CTX * | mem_ctx,
|  | struct RfrGetNewDSA * | r
| ) |  |
| static

exchange_ds_rfr RfrGetNewDSA (0x0) function

Parameters

  dce_call | pointer to the session context
  mem_ctx | pointer to the memory context
  r | pointer to the RfrGetNewDSA request data

Note
  We incorrectly assume input pUserDN is correct and available, but it is OK for now.

Returns
  MAPI_E_SUCCESS on success

Referenced by dcesrv_exchange_ds_rfr_dispatch().

NTSTATUS samba_init_module | ( | void |  | ) |

Entry point for the default OpenChange RFR server

Returns
  NT_STATUS_OK on success, otherwise NTSTATUS error

References dcesrv_exchange_ds_rfr_dispatch(), dcesrv_exchange_ds_rfr_init(), and dcesrv_exchange_ds_rfr_unbind().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/